//=========================================================
//  MusE
//  Linux Music Editor
//  $Id: cliplist.h,v 1.1.1.1 2003/10/29 10:06:36 wschweer Exp $
//
//  (C) Copyright 2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __CLIPLIST_H__
#define __CLIPLIST_H__

#include "../cobject.h"
class QListView;
class QListViewItem;
class Xml;
class Pos;
class Clip;
class ClipListEditorBase;

//---------------------------------------------------------
//   ClipListEdit
//---------------------------------------------------------

class ClipListEdit : public TopWin {
      Q_OBJECT
      Clip* curClip;
      ClipListEditorBase* editor;

      virtual void closeEvent(QCloseEvent*);
      void updateList();

   private slots:
      void songChanged(int);
      void startChanged(const Pos&);
      void lenChanged(const Pos&);
      void clipSelectionChanged();
      void clicked(QListViewItem*);

   signals:
      void deleted(int);

   public:
      ClipListEdit();
      virtual void readStatus(Xml&);
      virtual void writeStatus(int, Xml&) const;
      };

#endif

